LibreOffice: IndexEntrySupplier Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
List of all members
IndexEntrySupplier Service Referencepublished

Supplier for creating index entries in a "table of alphabetical index". More...

`import <IndexEntrySupplier.idl;`

Inheritance diagram for IndexEntrySupplier:

## Additional Inherited Members
Public Member Functions inherited from XExtendedIndexEntrySupplier
sequence< com::sun::star::lang::Locale > | getLocaleList ()
| Returns locale list for which the IndexEntrySupplier provides service.
sequence< string > | getAlgorithmList ([in] com::sun::star::lang::Locale aLocale)
| Returns index algorithm list for specific locale.
boolean | usePhoneticEntry ([in] com::sun::star::lang::Locale aLocale)
| Checks if Phonetic Entry should be used for the locale.
string | getPhoneticCandidate ([in] string aIndexEntry, [in] com::sun::star::lang::Locale aLocale)
| Returns phonetic candidate for index entry for the locale.
boolean | loadAlgorithm ([in] com::sun::star::lang::Locale aLocale, [in] string aIndexAlgorithm, [in] long nCollatorOptions)
| Loads index algorithm for the locale.
string | getIndexKey ([in] string aIndexEntry, [in] string aPhoneticEntry, [in] com::sun::star::lang::Locale aLocale)
| Returns index key.
short | compareIndexEntry ([in] string aIndexEntry1, [in] string aPhoneticEntry1, [in] com::sun::star::lang::Locale aLocale1, [in] string aIndexEntry2, [in] string aPhoneticEntry2, [in] com::sun::star::lang::Locale aLocale2)
| Compares index entries.
Public Member Functions inherited from XIndexEntrySupplier
string | getIndexCharacter ([in] string aIndexEntry, [in] com::sun::star::lang::Locale aLocale, [in] string aSortAlgorithm)
| returns the capital index key for sorting a table of indexes, to a given index entry, to a given com::sun::star::lang::Locale and to a given sort algorithm.
string | getIndexFollowPageWord ([in] boolean bMorePages, [in] com::sun::star::lang::Locale aLocale)
| returns the page number word of an index entry, where one page or more pages are combined to one page number entry, for a given com::sun::star::lang::Locale.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Supplier for creating index entries in a "table of alphabetical index".

The documentation for this service was generated from the following file:

- com/sun/star/i18n/IndexEntrySupplier.idl